| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# imap/services.h File Reference

Loader services for standard syntax elements. More...

`#include "csutil/scf.h"`
`#include "ivideo/graph3d.h"`

Go to the source code of this file.

## Classes
struct | iSyntaxService
| This component provides services for other loaders to easily parse properties of standard CS world syntax. More...
## Texture transformation description
#define | CSTEX_UV 1
| UV is given.
#define | CSTEX_UV_SHIFT 8
| explicit (u,v) <-> vertex mapping is given
#define | CSTEX_V1 2
| vector1 is given
#define | CSTEX_V2 4
| vector2 is given

## Detailed Description

Loader services for standard syntax elements.

Definition in file services.h.